#
# spec file for package ghc-stm-containers
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name stm-containers
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.2.15
Release:        lp150.1.8
Summary:        Containers for STM
License:        MIT
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-base-prelude-devel
BuildRequires:  ghc-focus-devel
BuildRequires:  ghc-hashable-devel
BuildRequires:  ghc-list-t-devel
BuildRequires:  ghc-primitive-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-transformers-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %{with tests}
BuildRequires:  ghc-HTF-devel
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-free-devel
BuildRequires:  ghc-loch-th-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-mtl-prelude-devel
BuildRequires:  ghc-placeholders-devel
BuildRequires:  ghc-unordered-containers-devel
%endif

%description
This library is based on an STM-specialized implementation of a Hash Array
Mapped Trie. It provides efficient implementations of 'Map', 'Set' and other
data structures, which are slightly slower than their counterparts from
"unordered-containers", but scale very well on concurrent access patterns.

For details on performance of the library see
<http://nikita-volkov.github.io/stm-containers/ this blog post>.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)

%changelog
* Wed Aug 17 2016 psimons@suse.com
- Update to version 0.2.15 revision 0 with cabal2obs.
* Mon Jul 25 2016 psimons@suse.com
- Update to version 0.2.14 revision 0 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.2.13 revision 0 with cabal2obs.
* Thu May 26 2016 mimi.vx@gmail.com
- update to 0.2.13
* Sat May 14 2016 mimi.vx@gmail.com
- update to 0.2.11
* Sun Feb 14 2016 mimi.vx@gmail.com
- update to 0.2.10
* Fri Oct 23 2015 mimi.vx@gmail.com
- initial commit
